package cn.estsh.i3plus.core.api.iservice.busi;

import cn.estsh.i3plus.core.api.token.AdminToken;
import cn.estsh.i3plus.core.api.token.SaAdminToken;
import cn.estsh.i3plus.core.api.token.UserToken;
import cn.estsh.i3plus.pojo.model.common.Pager;
import cn.estsh.i3plus.pojo.platform.bean.SessionUser;
import cn.estsh.i3plus.pojo.platform.bean.SysLocaleLanguage;
import cn.estsh.i3plus.pojo.platform.bean.SysLocaleResource;

import java.util.List;

/**
 * @Description : 用户功能方法，包含权限、角色等
 * @Reference :
 * @Author : alwaysfrin
 * @CreateDate : 2018-10-11 16:59
 * @Modify:
 **/
public interface ISystemUserService {

    SessionUser queryUserLogin(String loginName, String s, String languageCode);

    SessionUser queryAdminLogin(String loginName, String s, String languageCode);

    SessionUser queryCheckUserLogin(UserToken authenticationToken);

    SessionUser queryCheckAdminLogin(AdminToken authenticationToken);

    SessionUser queryCheckSaAdminLogin(SaAdminToken authenticationToken);
}
